Authors:
johnlindquist
enDal
opensource software

AngularJS

Products: IntelliJ IDEA, RubyMine, WebStorm, PhpStorm, PyCharm

Vendor: johnlindquist, JetBrains

Email: N/A

Website: https://github.com/JetBr...ns/tree/master/AngularJS

Bugtracker page

Description:

Support for AngularJS
Downloads: 225862
Rating:
Participated in rating: 9
Version Since Build Until Build File/URL Size (Kb) Date Details
135.565. 134.1172. . Download 68.58 2014-03-31 15:07:27 details
134.1094. 134.1. . Download 45.19 2014-02-13 12:58:04 details
0.1.9. 107.105. . Download 794.64 2013-09-27 02:48:34 details
. .
8 updates are hidden show all updates
Screenshot #13184

Recent change notes:

0.1.9
Added a setting for whitespace between braces
0.1.8
Fixing bug introduced by autocomplete with invalid elements (had to "revert" to old method of autocomplete, so I need to find a new approach for invalid elements
0.1.7
Focusing on WebStorm 7 compatibility
0.1.6
Adding navigation, auto-closing {{, attribute autocomplete on all elements, and "jump to docs"
0.1.5
Adding "href" and "disabled" to the descriptors list
0.1.4
Bundling live templates thanks to Powel Kozlowski
0.1.3
Adding the mouse events and a couple other missing directives
0.1.2
Works with any doctype (not just !doctype html).
0.1.1
Changed Autocomplete approach to "provide" custom autocompletes through a provider extension point. I'll revisit a custom DTD after more discussion/thought with other developers.
0.1
Basic ng attribute autocompletion based on an included DTD.

Comments:

123>
malyshevalex
2014-04-14 02:08:55
Hello. I have the same issue like @ptinkler. Angular's html attributes like ng-app, ng-controller e.t.c was highlighted as errors. Idea 13.1
.
ptinkler
2014-04-02 17:25:28
@enDal that's great, thanks! :)
.
enDal
2014-04-02 17:22:28
@ptinkler oops, it seems that it bundled only in not-yet released 3.4 EAP. I'll enable it for PyCharm, but only 0.1.9 version will be compatible with very basic html attributes completion
.
ptinkler
2014-04-02 17:18:07
@enDal is it? I'm getting html highlighting errors on `ng-app` attributes in my project, so I don't think it's enabled. I can't see it in my installed plugins section either, nor the Jetbrains/Other repos. Pycharm 3.1.1 for reference. Any idea how I go about enabling it?
.
enDal
2014-04-02 17:01:04
@ptinkler, because it's bundled in PyCharm now. Fix for {{}} is coming in the nearest future (via $interpolationProvider.startSymbol/endSymbol)
.
ptinkler
2014-04-02 16:57:34
Is there a reason why this plugin is not available within Pycharm? I can see the conflicts between Django and AngularJS both using {{ }} template syntax to be difficult to solve.
.
FrigoEU
2014-03-20 19:05:02
Hey John, I saw a video of you recently (unfortunately at the present time I can't link the video) where somebody asked you a question about the possiblity of autocompleting methods defined on an Angular Service when dependency injected into eg. An Angular controller. You noted that it was quite difficult, but a member of the AngularJS team noted that it would be possible when using annotations. Is this a functionality that is being worked on, or do you think that even with annotations it would be difficult? Simon
.
rvt
Rated:
2014-03-20 17:39:46
If after update to 13.1 AngularJS isn't work and ng expansion doesn't show anything. Then invalidate your cache and restart. That worked for me..
.
johnlindquist
2014-03-20 17:26:05
This plugin is now bundled with WebStorm. If you're using IntelliJ, PhpStorm, PyCharm, or RubyMine install it through the Settings->Plugins->Install JetBrains Plugin. We're putting together a blog post and video and will link to them in the README.
.
Anonymous
2014-03-20 12:10:09
How do we know what this plugin does? I love the idea of Angular helpers, but I must be missing the documentation. I've also checked the Git repo readme. Just looking for a bullet point list of capabilities. Thanks
.
Anonymous
2014-03-20 05:33:17
Great plugin, would be keen to try again, once keyboard support is added, developing with mouse using on-screen keyboard not working efficiently.
.
Anonymous
2014-03-03 06:08:47
I would highly recommend writing a few lines in a README file and put it into the zip
.
Anonymous
Rated:
2014-02-25 05:04:43
plugin breaks keyboard in editor
.
jonnio
2014-01-11 20:02:12
Hi. Trying to use the plugin in Intellij. Is there a sample project or something I can import? I can't get the plugin to 'enable' on a .html file. Thanks
.
vunguyen1912
Rated:
2014-01-08 21:45:24
Love the plugin, just wonder if I can somehow change the interpolate from {{}} to {[]} so as to avoid conflict with Twig
.
123>